#
# spec file for package giflib (Version 4.1.4)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild

Name:           giflib
BuildRequires:  xorg-x11-libICE-devel xorg-x11-libSM-devel xorg-x11-libX11-devel xorg-x11-libXau-devel xorg-x11-libXdmcp-devel xorg-x11-libXt-devel
License:        Other License(s), see package, GPL
Group:          System/Libraries
URL:            http://sourceforge.net/projects/libungif
Autoreqprov:    on
Version:        4.1.4
Release:        14
Summary:        A Library for Working with GIF Images
Provides:       libungif
%ifarch ia64 x86_64 s390x ppc64
Provides:       libungif.so.4()(64bit)
%else
Provides:       libungif.so.4
%endif
Obsoletes:      libungif
Source:         giflib-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Since the LZW patents have expired, giflib can again be used instead of
libungif.



Authors:
--------
    Toshio Kuratomi <badger@prtr-13.ucsc.edu>
    Eric S. Raymond >esr@snark.thyrsus.com>

%package progs
Summary:        Tools for Working with the GIF Library
Group:          Productivity/Graphics/Convertors
Autoreqprov:    on
Provides:       ungif
Obsoletes:      ungif

%description progs
A tool for converting GIFs to various formats.



Authors:
--------
    Toshio Kuratomi <badger@prtr-13.ucsc.edu>
    Eric S. Raymond >esr@snark.thyrsus.com>

%package devel
Summary:        Library for Working with GIF Images - Files Mandatory for Development
Group:          System/Libraries
Autoreqprov:    on
Requires:       giflib

%description devel
Since the LZW patents have expired, giflib can again be used instead of
libungif.



Authors:
--------
    Toshio Kuratomi <badger@prtr-13.ucsc.edu>
    Eric S. Raymond >esr@snark.thyrsus.com>

%prep
%setup

%build
%{?suse_update_config:%{suse_update_config -f}}
libtoolize --force
autoreconf --force --install
CFLAGS="$RPM_OPT_FLAGS -fstack-protector" \
  ./configure --prefix=/usr --libdir=%{_libdir} --x-libraries=/usr/%{_lib}
make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
chmod 755 $RPM_BUILD_ROOT/%{_libdir}/lib*.so.*
ln -sf libgif.so.%{version} $RPM_BUILD_ROOT%{_libdir}/libungif.so.%{version}
ln -sf libungif.so.%{version} $RPM_BUILD_ROOT%{_libdir}/libungif.so.4
ln -sf libungif.so.%{version} $RPM_BUILD_ROOT%{_libdir}/libungif.so
ln -sf libgif.a $RPM_BUILD_ROOT%{_libdir}/libungif.a

%post
%run_ldconfig

%postun
%run_ldconfig

%files
%defattr(-,root,root)
%doc COPYING
%{_libdir}/lib*.so.*

%files devel
%defattr(-,root,root)
/usr/include/gif_lib.h
%{_libdir}/lib*.so
%{_libdir}/lib*.a
%{_libdir}/lib*.la

%files progs
%defattr(-,root,root)
%doc COPYING NEWS README doc
/usr/bin/*

%changelog -n giflib
* Wed Aug 16 2006 - aj@suse.de
- Replace xorg-x11-devel BuildRequires with really needed libs.
- Fix configure call for X11 R7.
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Thu Jan 12 2006 - nadvornik@suse.cz
- compile with -fstack-protector
* Tue Jan 03 2006 - nadvornik@suse.cz
- updated to 4.1.4
* Tue Apr 26 2005 - jw@suse.de
- fixed EGifCompressLine for 64bit archs,
  to make perl-Prima testcases happy.
* Tue Sep 14 2004 - nadvornik@suse.cz
- fixed provides on 64bit architectures [#44842]
* Thu Sep 09 2004 - nadvornik@suse.cz
- added Provides: libungif.so.4 [#44842]
* Wed Sep 01 2004 - nadvornik@suse.cz
- updated to giflib 4.1.3: LZW is enabled again
- renamed libungif -> giflib
  ungif -> giflib-progs
- new subpackage giflib-devel
- added compatibility symlinks
* Tue Feb 24 2004 - kukuk@suse.de
- Cleanup neededforbuild
* Sat Jan 10 2004 - adrian@suse.de
- add %%defattr and %%run_ldconfig
* Mon Feb 11 2002 - schwab@suse.de
- Fix use of varargs.
* Wed Feb 06 2002 - nadvornik@suse.cz
- updated to 4.1.0b1:
- bugfix release
* Tue Jan 08 2002 - nadvornik@suse.cz
- used macros %%{_lib} and %%{_libdir}
* Tue Jun 12 2001 - ro@suse.de
- libtoolize to build
* Tue Jun 05 2001 - schwab@suse.de
- Change DumpScreen2Gif parameters to long.
* Thu May 24 2001 - pblaha@suse.cz
- fix cast pointer on ia64
* Wed Apr 18 2001 - pblaha@suse.cz
- patch from nadvornik@suse.cz for bug in loading images
* Mon Apr 09 2001 - ro@suse.de
- fixed group tag
* Wed May 17 2000 - bubnikv@suse.cz
- fixed bug of $chmod 755 libungif.so* (missing $RPM_BUILD_ROOT)
- spec file cleanup
* Mon May 15 2000 - nadvornik@suse.cz
- added BuildRoot
- added URL
* Tue Apr 04 2000 - bk@suse.de
- config.{sub,guess} update macro needs automake
* Sat Apr 01 2000 - bk@suse.de
- suse s390 team added required %%suse_update_config for s390
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Tue Jun 29 1999 - ro@suse.de
- split: ungif (containing the tools) is build as a separate package
* Tue Apr 06 1999 - ro@suse.de
- initial package
